Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class String

    java.lang.Object
      |
      +--java.lang.String

public final synchronized class String
extends Object
implements java.io.Serializable, Comparable

See Also:
  Serialized Form

Field Summary
`static java.util.Comparator` | `CASE_INSENSITIVE_ORDER`

Constructor Summary
`String()`
`String(byte[])`
`String(byte[], int)`
`String(byte[], int, int)`
`String(byte[], int, int, int)`
`String(byte[], int, int, String)`
`String(byte[], String)`
`String(char[])`
`String(char[], int, int)`
`String(String)`
`String(StringBuffer)`

Method Summary
`char` | `charAt(int)`
`int` | `compareTo(Object)`
`int` | `compareTo(String)`
`int` | `compareToIgnoreCase(String)`
`String` | `concat(String)`
`static String` | `copyValueOf(char[])`
`static String` | `copyValueOf(char[], int, int)`
`boolean` | `endsWith(String)`
`boolean` | `equals(Object)`
`boolean` | `equalsIgnoreCase(String)`
`byte[]` | `getBytes()`
`void` | `getBytes(int, int, byte[], int)`
`byte[]` | `getBytes(String)`
`void` | `getChars(int, int, char[], int)`
`int` | `hashCode()`
`int` | `indexOf(int)`
`int` | `indexOf(int, int)`
`int` | `indexOf(String)`
`int` | `indexOf(String, int)`
`String` | `intern()`
`int` | `lastIndexOf(int)`
`int` | `lastIndexOf(int, int)`
`int` | `lastIndexOf(String)`
`int` | `lastIndexOf(String, int)`
`int` | `length()`
`boolean` | `regionMatches(boolean, int, String, int, int)`
`boolean` | `regionMatches(int, String, int, int)`
`String` | `replace(char, char)`
`boolean` | `startsWith(String)`
`boolean` | `startsWith(String, int)`
`String` | `substring(int)`
`String` | `substring(int, int)`
`char[]` | `toCharArray()`
`String` | `toLowerCase()`
`String` | `toLowerCase(java.util.Locale)`
`String` | `toString()`
`String` | `toUpperCase()`
`String` | `toUpperCase(java.util.Locale)`
`String` | `trim()`
`static String` | `valueOf(boolean)`
`static String` | `valueOf(char)`
`static String` | `valueOf(char[])`
`static String` | `valueOf(char[], int, int)`
`static String` | `valueOf(double)`
`static String` | `valueOf(float)`
`static String` | `valueOf(int)`
`static String` | `valueOf(long)`
`static String` | `valueOf(Object)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CASE_INSENSITIVE_ORDER

    public static final java.util.Comparator CASE_INSENSITIVE_ORDER

Constructor Detail

### String

    public String()

### String

    public String(String)

### String

    public String(StringBuffer)

### String

    public String(byte[])

### String

    public String(byte[],
                  int)

### String

    public String(byte[],
                  int,
                  int)

### String

    public String(byte[],
                  int,
                  int,
                  int)

### String

    public String(byte[],
                  int,
                  int,
                  String)
           throws java.io.UnsupportedEncodingException

### String

    public String(byte[],
                  String)
           throws java.io.UnsupportedEncodingException

### String

    public String(char[])

### String

    public String(char[],
                  int,
                  int)

Method Detail

### charAt

    public char charAt(int)

### compareTo

    public int compareTo(Object)

  Specified by:
    compareTo in interface Comparable

### compareTo

    public int compareTo(String)

### compareToIgnoreCase

    public int compareToIgnoreCase(String)

### concat

    public String concat(String)

### copyValueOf

    public static String copyValueOf(char[])

### copyValueOf

    public static String copyValueOf(char[],
                                     int,
                                     int)

### endsWith

    public boolean endsWith(String)

### equals

    public boolean equals(Object)

  Overrides:
    equals in class Object

### equalsIgnoreCase

    public boolean equalsIgnoreCase(String)

### getBytes

    public byte[] getBytes()

### getBytes

    public void getBytes(int,
                         int,
                         byte[],
                         int)

### getBytes

    public byte[] getBytes(String)
                    throws java.io.UnsupportedEncodingException

### getChars

    public void getChars(int,
                         int,
                         char[],
                         int)

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class Object

### indexOf

    public int indexOf(int)

### indexOf

    public int indexOf(int,
                       int)

### indexOf

    public int indexOf(String)

### indexOf

    public int indexOf(String,
                       int)

### intern

    public String intern()

### lastIndexOf

    public int lastIndexOf(int)

### lastIndexOf

    public int lastIndexOf(int,
                           int)

### lastIndexOf

    public int lastIndexOf(String)

### lastIndexOf

    public int lastIndexOf(String,
                           int)

### length

    public int length()

### regionMatches

    public boolean regionMatches(int,
                                 String,
                                 int,
                                 int)

### regionMatches

    public boolean regionMatches(boolean,
                                 int,
                                 String,
                                 int,
                                 int)

### replace

    public String replace(char,
                          char)

### startsWith

    public boolean startsWith(String)

### startsWith

    public boolean startsWith(String,
                              int)

### substring

    public String substring(int)

### substring

    public String substring(int,
                            int)

### toCharArray

    public char[] toCharArray()

### toLowerCase

    public String toLowerCase()

### toLowerCase

    public String toLowerCase(java.util.Locale)

### toString

    public String toString()

  Overrides:
    toString in class Object

### toUpperCase

    public String toUpperCase()

### toUpperCase

    public String toUpperCase(java.util.Locale)

### trim

    public String trim()

### valueOf

    public static String valueOf(char)

### valueOf

    public static String valueOf(double)

### valueOf

    public static String valueOf(float)

### valueOf

    public static String valueOf(int)

### valueOf

    public static String valueOf(long)

### valueOf

    public static String valueOf(Object)

### valueOf

    public static String valueOf(boolean)

### valueOf

    public static String valueOf(char[])

### valueOf

    public static String valueOf(char[],
                                 int,
                                 int)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.